# RFC: Gemini notifications standard

Satus: Draft
Last updated: 2025-03-31

## Introduction

Gemini notifications standard is a proposal to provide a way to receive notifications from Gemini servers. 

The idea came from [station](gemini://station.martinrue.com/), [BBS](gemini://bbs.geminispace.org/) and misfin gemini frontend implementations. There possibilities to see new notification for your identity.

This proposal should add standard for endpoints what should exist and in what format content should be provided.

### Usage

* Simple polling notifications in other systems, ex. systry for misfin gembox new messages.
* Add summery notification from all subscribed notifications.

## Endpoints

Implementation should provide two enpoints:
* get list of notifications
* clear all notifications (optional)
* clear one notification (optional)

The link are not standardized and can be set by the implementer.

## Format

The format of notification are simple list of gemini links in gemtext format.

```
=> gemini://example.com/entry/1 Mentioned you by @user
=> gemini://example.com/entry/2 Mentioned you by @user
=> gemini://example.com/entry/2 New like by @user
```

## Additional notes

TBD
